#
# spec file for package live-langset-data
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           live-langset-data
Version:        2.0
Release:        lp150.2.2
Summary:        Scripts and data to allow locale switching in live media
License:        GPL-2.0
Group:          System/YaST
Url:            https://build.opensuse.org/package/show/openSUSE:Factory:Live/live-langset-data
Source1:        langset.sh
Source2:        langset.service
Source3:        getcountrydata.rb
Source4:        gpl-2.0.txt
BuildRequires:  coreutils
BuildRequires:  systemd-rpm-macros
BuildRequires:  yast2-country
# Needed for X11 keyboard data
BuildRequires:  yast2-x11
Requires:       sed
Requires:       systemd
BuildArch:      noarch
%{?systemd_requires}

%description
This package contains scripts and data to allow setting the locale (+ console font and keyboard
layout) on live media.

%prep
%setup -q -T -c
cp %{SOURCE4} .

%build
mkdir output
OUTPUTDIR=$PWD/output %{_libexecdir}/YaST2/bin/y2base %{SOURCE3} UI

%install
pushd output
for i in *; do
    install -Dm 644 $i %{buildroot}/%{_datadir}/langset/${i/.UTF-8}
done
popd
install -Dm 755 %{SOURCE1} %{buildroot}%{_sbindir}/langset.sh
install -Dm 644 %{SOURCE2} %{buildroot}%{_unitdir}/langset.service

%pre
%service_add_pre langset.service

%post
%service_add_post langset.service

%preun
%service_del_preun langset.service

%postun
%service_del_postun langset.service

%files
%doc gpl-2.0.txt
%{_datadir}/langset
%{_sbindir}/langset.sh
%{_unitdir}/langset.service

%changelog
* Wed Jan 31 2018 fvogt@suse.com
- Update getcountrydata.rb to work with 2-letter language codes
  as used by the openSUSE consolefonts.ycp
* Wed Jan 24 2018 fvogt@suse.com
- Update getcountrydata.rb to work with yast-country changes:
  * Drop COMPOSETABLE
* Fri Dec 15 2017 fvogt@suse.com
- Fix typo in the /etc/localtime symlink
* Tue Dec 12 2017 fvogt@suse.com
- Bump version to 2.0
- Do not change sysconfig values anymore, use localectl instead
  (boo#1072237)
- Also adjust /etc/localtime based on the TIMEZONE
- Change the internal langset data format to make sourcing possible
* Tue Nov 28 2017 fvogt@suse.com
- Improve langset.service, also start in runlevel 3
* Tue Aug  8 2017 fvogt@suse.com
- Initial package, split from kiwi-config-openSUSE
- Fix target path handling in getcountrydata.rb
- Try to load the distro-specific console data file first
